Skip to content

POST /processes/{id}/step/back

Endpoint

POST /processes/{id}/step/back

Headers

biometrid-app: YOUR_APP_ID
biometrid-credential: YOUR_CREDENTIAL_ID
Content-Type: application/json

Parameters

Parameter Type Required Description
id string yes Process ID

cURL Example

curl -X POST "https://api.biometrid.com/processes/process_abc123/step/back" \
  -H "biometrid-app: YOUR_APP_ID" \
  -H "biometrid-credential: YOUR_CREDENTIAL_ID" \
  -H "Content-Type: application/json"

Response (200)

{
  "data": {
    "processId": "string",
    "flowId": "string",
    "step": {
      "id": "string",
      "name": "string",
      "next": "string",
      "settings": {
        "maxRetries": 0,
        "preventPrevious": false,
        "deviceType": "mobile"
      },
      "action": {
        "type": "form",
        "fields": [],
        "settings": {},
        "provider": {
          "providerId": "string",
          "provider": "string"
        }
      },
      "tasks": []
    },
    "path": {
      "id": "string",
      "name": "string"
    },
    "completedSteps": {
      "id": "string",
      "name": "string",
      "type": "form"
    },
    "nonce": {
      "id": "string",
      "expiresAt": "2024-01-01T10:00:00Z"
    }
  },
  "meta": {
    "message": "Previous step with success",
    "code": "BIOPMSCS006"
  },
  "status": true
}

Response (403)

{
  "data": {},
  "meta": {
    "message": "Process finished",
    "code": "BIOPMSCE002"
  },
  "status": false
}

Response (404)

{
  "data": {},
  "meta": {
    "message": "Previous step not found",
    "code": "BIOPMSSE016"
  },
  "status": false
}

Response (409)

{
  "data": {},
  "meta": {
    "message": "Flow not active",
    "code": "BIOACASE006"
  },
  "status": false
}